package stackjava.com.mongodb;

import java.util.Iterator;

import org.bson.Document;

import com.mongodb.MongoClient;
import com.mongodb.client.FindIterable;
import com.mongodb.client.MongoCollection;
import com.mongodb.client.MongoDatabase;
import com.mongodb.client.model.Filters;

public class DeleteOne {
	public static void main(String[] args) {
		MongoClient mongoClient = new MongoClient("localhost", 27017);
		MongoDatabase database = mongoClient.getDatabase("stackjava");

		MongoCollection<Document> collection = database.getCollection("player");

		collection.deleteOne(Filters.eq("name", "neymar"));
		System.out.println("Delete success!");
		
		FindIterable<Document> iterDoc = collection.find();

		Iterator<Document> it = iterDoc.iterator();

		System.out.println("--------------- All Player ------------------");
		while (it.hasNext()) {
			System.out.println(it.next());
		}

		mongoClient.close();
	}
}
